sm3.h File Reference

Classes for the SM3 hash function. More...

Go to the source code of this file.

## Classes

class | SM3
| SM3 hash function. More...

## Detailed Description

Classes for the SM3 hash function.

SM3 is a hash function designed by Xiaoyun Wang, et al. The hash is part of the Chinese State Cryptography Administration portfolio.

See also
  SM3 Hash Function and Reference implementation using OpenSSL.

Since
  Crypto++ 6.0

Definition in file sm3.h.